import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
//import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.Raw.ArrivalRecord',
})
export class ArrivalRecord extends VuexModule {
  responseCode: any = '';
  responseData: any = [];
  @MutationAction
  async getArrivalRecord(params: any) {
    const result: any = await http.post(url.lanjuwms.raw.ArrivalRecord.getArrivalRecord, params);
    const responseCode = result.code;
    const responseData = result.data;
    return { responseCode, responseData };
  }
}

export default getModule(ArrivalRecord);
